<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
  <xsl:param name="Options" />
  <xsl:param name="ControlID" />
  
	<xsl:template match="/*">
		<xsl:apply-templates select="root" />
	</xsl:template>
	<xsl:template match="root">

    <script type="text/javascript">
	jQuery(function($) {
		$("#<xsl:value-of select="$ControlID" />").BindMENU(<xsl:value-of select="$Options" />);
    });
    </script>
		<ul class="menu" id="{$ControlID}">
			<xsl:apply-templates select="node" />
		</ul>
	</xsl:template>
	<xsl:template match="node">
		<li class="mi">
      <xsl:if test="@first = 1 or @last = 1 or @selected = 1">
        <xsl:attribute name="class">mi
          <xsl:if test="@first = 1"><xsl:text>&#32;</xsl:text>first</xsl:if>
          <xsl:if test="@last = 1"><xsl:text>&#32;</xsl:text>last</xsl:if>
          <xsl:if test="@selected = 1"><xsl:text>&#32;</xsl:text>current</xsl:if>
        </xsl:attribute>
      </xsl:if>
			<xsl:choose>
				<xsl:when test="@enabled = 1">
					<a class="txt" href="{@url}">
            <xsl:if test="@icon">
                <img src="{@icon}" alt="{@text}" class="icn"/>
            </xsl:if>
            <xsl:value-of select="@text" />
					</a>
				</xsl:when>
				<xsl:otherwise>
          <span class="txt">
            <xsl:if test="@icon">
              <img src="{@icon}" alt="{@text}" class="icn"/>
            </xsl:if>
            <xsl:value-of select="@text" />
          </span>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="node">
				<ul class="submenu">
					<xsl:apply-templates select="node" />
				</ul>
			</xsl:if>
		</li>
	</xsl:template>
</xsl:stylesheet>
